var connectFlg = false;
//初期処理
function initRanking() {
    total();
    var objDate = new Date();
    var displayDate = document.getElementById("displayDate");
    displayDate.value = getDisplayDate(objDate);
}

//トータルボタン
function total() {
    var dailyLink = document.getElementById("dailyLink");
    dailyLink.style.display = "none";
	var title = document.getElementById("title");
	$(title).empty();
	$(title).append("トータルランキング");
    connectTotal();
}

//デイリーボタン
function daily() {
    var today = new Date();
    displayDaily(today);
}

//次の日ボタン
function nextDay() {
    var displayDate = document.getElementById("displayDate");
    var date = new Date(displayDate.value);
    date.setDate(date.getDate() + 1);
    displayDaily(date);
}

//本日ボタン
function today() {
    daily();
}

//前日ボタン
function backDay() {
    var displayDate = document.getElementById("displayDate");
    var date = new Date(displayDate.value);
    date.setDate(date.getDate() - 1);
    displayDaily(date);
}

//デイリー表示
function displayDaily(objDate) {
    var dailyLink = document.getElementById("dailyLink");
    dailyLink.style.display = "block";
    var dateCode = getDateCode(objDate);
    var title = document.getElementById("title");
    $(title).empty();
    $(title).append("デイリーランキング("+getDisplayDate(objDate)+")");
    var displayDate = document.getElementById("displayDate");
    displayDate.value = getDisplayDate(objDate);
    connectDaily(dateCode);
}

function connectTotal() {
	ajaxTotal();
}

function connectDaily(dateCode) {
    ajaxDaily(dateCode);
}

function ajaxTotal() {
    if(connectFlg) return;
	var ranking = document.getElementById("ranking");
    $(ranking).empty();
    var sk = getCegSessionKey();
    connectFlg = true;
    $.ajax(URL_RANKING_TOTAL + "?aid="+CEG_AID+"&sk="+sk, {
        type: 'get',
        dataType: 'json',
        timeout: 1000,
      }
    )
    // 通信成功
    .done(function(res) {
        connectFlg = false;
        console.log("XMLHttpRequest : " + JSON.stringify(res));
        var cnt = res["cnt"];
        var dom = "";
        dom += "<tr>";
    	dom += "<th scope=\"col\">ランク</th>";
    	dom += "<th scope=\"col\">名前</th>";
    	dom += "<th scope=\"col\">Pt</th>";
    	dom += "</tr>";
        for(var i=0; i<cnt; i++) {
        	if(res["cegRankings"][i]["mineFlg"]) {
                dom += "<tr style='background-color:#FCC'>";
            } else {
                dom += "<tr style='background-color:#FFF'>";
            }

        	dom += "<td scope=\"row\">";
        	dom += (i+1);
        	dom += "</td>";

        	dom += "<td scope=\"row\">";
        	dom += res["cegRankings"][i]["name"];
        	dom += "</td>";

        	dom += "<td scope=\"row\">";
        	dom += res["cegRankings"][i]["point"];
        	dom += "</td>";

        	dom += "</tr>";
        }
        $(ranking).append(dom);
    })
    // 通信失敗(タイムアウトまたはサーバエラー)
    .fail(function(XMLHttpRequest, textStatus, errorThrown) {
        connectFlg = false;
        console.log("XMLHttpRequest : " + JSON.stringify(XMLHttpRequest));
        console.log("textStatus     : " + textStatus);
        console.log("errorThrown    : " + errorThrown.message);
        window.alert("通信失敗しました。通信のできる場所でプレイしてくださいね。");
        //再通信ボタン表示
    });
}

function ajaxDaily(dateCode) {
    if(connectFlg) return;
    var ranking = document.getElementById("ranking");
    $(ranking).empty();
    var sk = getCegSessionKey();
    connectFlg = true;
    $.ajax(URL_RANKING_DAILY + "?aid="+CEG_AID+"&sk="+sk+"&dc="+dateCode, {
        type: 'get',
        dataType: 'json',
        timeout: 1000,
      }
    )
    // 通信成功
    .done(function(res) {
        connectFlg = false;
        console.log("XMLHttpRequest : " + JSON.stringify(res));
        var cnt = res["cnt"];
        var dom = "";
        dom += "<tr>";
        dom += "<th scope=\"col\">ランク</th>";
        dom += "<th scope=\"col\">名前</th>";
        dom += "<th scope=\"col\">Pt</th>";
        dom += "</tr>";
        for(var i=0; i<cnt; i++) {
            if(res["cegRankings"][i]["mineFlg"]) {
                dom += "<tr style='background-color:#FCC'>";
            } else {
                dom += "<tr style='background-color:#FFF'>";
            }

            dom += "<td scope=\"row\">";
            dom += (i+1);
            dom += "</td>";

            dom += "<td scope=\"row\">";
            dom += res["cegRankings"][i]["name"];
            dom += "</td>";

            dom += "<td scope=\"row\">";
            dom += res["cegRankings"][i]["point"];
            dom += "</td>";

            dom += "</tr>";
        }
        $(ranking).append(dom);
    })
    // 通信失敗(タイムアウトまたはサーバエラー)
    .fail(function(XMLHttpRequest, textStatus, errorThrown) {
        connectFlg = false;
        console.log("XMLHttpRequest : " + JSON.stringify(XMLHttpRequest));
        console.log("textStatus     : " + textStatus);
        console.log("errorThrown    : " + errorThrown.message);
        window.alert("通信失敗しました。通信のできる場所でプレイしてくださいね。");
        //再通信ボタン表示
    });
}


function getDateCode(objDate) {
    var mm = (objDate.getMonth()+1);
    if(mm<10) mm = "0" + mm;
    var dd = objDate.getDate();
    if(dd<10) dd= "0" + dd;
    console.log("getyear = " + objDate.getFullYear());
    return objDate.getFullYear() + "" + mm + "" + dd;
}

function getDisplayDate(objDate) {
    return objDate.getFullYear() + "/" +  (objDate.getMonth()+1) + "/"+ objDate.getDate();
}
